<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Administrator
 *   @copyright       2015, Administrator
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         RSS Feed Reader
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

$backend = CAT_Backend::getInstance('pages','pages_modify');
$db      = CAT_Helper_DB::getInstance();

if(CAT_Helper_Validate::sanitizePost('feed_url'))
{
    $db->query(
        'DELETE FROM `:prefix:mod_feedreader` WHERE `section_id`=?',
        array($section_id)
    );
    $db->query(
        'INSERT INTO `:prefix:mod_feedreader` VALUES ( ?, ?, ? )',
        array($section_id,CAT_Helper_Validate::sanitizePost('feed_url'),CAT_Helper_Validate::sanitizePost('template'))
    );
}

$result = $db->query(
    'SELECT `feed_url`, `template` FROM `:prefix:mod_feedreader` WHERE `section_id`=?',
    array($section_id)
);
$url = $result->fetch();

global $parser;
$parser->setPath(dirname(__FILE__).'/templates/default/');
$parser->output('modify',array('page_id'=>$page_id,'section_id'=>$section_id,'feed_url'=>$url['feed_url']));