<?php

/**
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or (at
 *   your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 *   @author          Administrator
 *   @copyright       2015, Administrator
 *   @link            http://blackcat-cms.org
 *   @license         http://www.gnu.org/licenses/gpl.html
 *   @category        CAT_Modules
 *   @package         RSS Feed Reader
 *
 */

if (defined('CAT_PATH')) {
    if (defined('CAT_VERSION')) include(CAT_PATH.'/framework/class.secure.php');
} elseif (file_exists($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php')) {
    include($_SERVER['DOCUMENT_ROOT'].'/framework/class.secure.php');
} else {
    $subs = explode('/', dirname($_SERVER['SCRIPT_NAME']));    $dir = $_SERVER['DOCUMENT_ROOT'];
    $inc = false;
    foreach ($subs as $sub) {
        if (empty($sub)) continue; $dir .= '/'.$sub;
        if (file_exists($dir.'/framework/class.secure.php')) {
            include($dir.'/framework/class.secure.php'); $inc = true;    break;
        }
    }
    if (!$inc) trigger_error(sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
}

$db      = CAT_Helper_DB::getInstance();
$result  = $db->query(
    'SELECT `feed_url`, `template` FROM `:prefix:mod_feedreader` WHERE `section_id`=?',
    array($section_id)
);
$config  = $result->fetch();
$data    = array();

require_once(CAT_PATH.'/modules/lib_simplepie/vendor/simplepie.min.php');
$feed = new SimplePie();
$feed->set_feed_url($config['feed_url']);
$feed->init();
$feed->handle_content_type();

foreach ($feed->get_items() as $item) {
    $data[] = array(
        'permalink' => $item->get_permalink(),
        'title'     => $item->get_title(),
        'descr'     => $item->get_description(),
        'date'      => CAT_Helper_DateTime::getDateTime($item->get_date('U')),
    );
}

global $parser;
$parser->setPath(dirname(__FILE__).'/templates/default/');
$parser->output($config['template'],array('feed'=>$data));